Package cds.healpix

# Enum Class CompassPoint.MainWind

java.lang.Object
java.lang.Enum<CompassPoint.MainWind>
cds.healpix.CompassPoint.MainWind

All Implemented Interfaces:
  `Serializable`, `Comparable<CompassPoint.MainWind>`, `Constable`

Enclosing class:
  `CompassPoint`

public static enum CompassPoint.MainWind extends Enum<CompassPoint.MainWind>
Enum defining the compass main wind points.

Author:
  F.-X. Pineau

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`C`
Center.
`E`
East.
`N`
North.
`NE`
Northeast.
`NW`
Northwest.
`S`
South.
`SE`
Southeast.
`SW`
Southwest.
`W`
West.

## Method Summary

Modifier and Type
Method
Description
`CompassPoint.MainWind`
`getOppositeDirection()`
Returns the opposite direction.
`boolean`
`isCardinal()`
Returns `true` is this main wind direction is a cardinal point.
`boolean`
`isOrdinal()`
Returns `true` is this main wind direction is an ordinal point.
`CompassPoint.Cardinal`
`toCardinal()`
Returns the equivalent cardinal point in the `CompassPoint.Cardinal` enum.
`CompassPoint.Ordinal`
`toOrdinal()`
Returns the equivalent ordinal point in the `CompassPoint.Ordinal` enum (throws an IllegalArgumentException if the direction is not an ordinal point).
`static CompassPoint.MainWind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompassPoint.MainWind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### N

public static final CompassPoint.MainWind N
North.

### NE

public static final CompassPoint.MainWind NE
Northeast.

### E

public static final CompassPoint.MainWind E
East.

### SE

public static final CompassPoint.MainWind SE
Southeast.

### S

public static final CompassPoint.MainWind S
South.

### SW

public static final CompassPoint.MainWind SW
Southwest.

### W

public static final CompassPoint.MainWind W
West.

### NW

public static final CompassPoint.MainWind NW
Northwest.

### C

public static final CompassPoint.MainWind C
Center.

## Method Details

### values

public static CompassPoint.MainWind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompassPoint.MainWind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getOppositeDirection

public CompassPoint.MainWind getOppositeDirection()
Returns the opposite direction.

Returns:
  the opposite direction.

### isOrdinal

public boolean isOrdinal()
Returns `true` is this main wind direction is an ordinal point.

Returns:
  `true` is this main wind direction is an ordinal point.

### toOrdinal

public CompassPoint.Ordinal toOrdinal()
Returns the equivalent ordinal point in the `CompassPoint.Ordinal` enum (throws an IllegalArgumentException if the direction is not an ordinal point).

Returns:
  the equivalent ordinal point in the `CompassPoint.Ordinal` enum.

### isCardinal

public boolean isCardinal()
Returns `true` is this main wind direction is a cardinal point.

Returns:
  `true` is this main wind direction is a cardinal point.

### toCardinal

public CompassPoint.Cardinal toCardinal()
Returns the equivalent cardinal point in the `CompassPoint.Cardinal` enum. (throws an IllegalArgumentException if the direction is not an cardinal point.)

Returns:
  the equivalent cardinal point in the `CompassPoint.Cardinal` enum.